using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

using FactorsNamespace;

namespace CodeGenerator
{
	public partial class FutureCalculatingFactorControl : FutureFactorControl
	{
		public FutureCalculatingFactorControl()
		{
			InitializeComponent();
		}

    internal override void LoadFactor(FutureFactor factor)
    {
      base.LoadFactor(factor);
      this.textBoxExpression.Text = 
        (factor as FutureCalculatingFactor).mExpression;
    }

    internal override void StoreFactor( FutureFactor currentFactor)
    {
      base.StoreFactor( currentFactor);
      if(IsLoaded)
      {
        (currentFactor as FutureCalculatingFactor).mExpression = 
          this.textBoxExpression.Text;
      }
    }
	}
}
